Podręcznik PHP
Poprzedni |  | Następny

# Memcache::increment

(no version information, might be only in CVS)

Memcache::increment -- Increment item's value

## Opis

int Memcache::increment ( string key [, int value] )

Memcache::increment() increments value of the item on the specified value. If item with key key was not numeric and cannot be converted to number, it will change it's value to value. Memcache::increment() does not create an item if it didn't exist.

> Notatka: Do not use Memcache::increment() with item, which was stored compressed, because consequent call to Memcache::get() will fail.

Also you can use memcache_increment() function.

## Parametry

key

  Key of the item to increment.

value

  Increment the item by value. Optional and defaults to 1.

## Zwracane wartości

Returns new item's value on success or `FALSE` on failure.

## Przykłady

Przykład 1. Memcache::increment() example

`<?php /* procedural API */ $memcache_obj = memcache_connect('memcache_host', 11211); /* increment counter by 2 */ $current_value = memcache_increment($memcache_obj, 'counter', 2); /* OO API */ $memcache_obj = new Memcache; $memcache_obj->connect('memcache_host', 11211); /* increment counter by 3 */ $current_value = $memcache_obj->increment('counter', 3); ?>`

## Patrz także

Memcache::decrement()
Memcache::replace()

Poprzedni | Spis treści | Następny
Memcache::getVersion | Początek rozdziału | Memcache::pconnect